org.jacoco.report

## Interface ISourceFileLocator

All Known Implementing Classes:
  DirectorySourceFileLocator, InputStreamSourceFileLocator, MultiSourceFileLocator

    public interface ISourceFileLocator

Interface to look-up source files that will be included with the report.

### Method Summary

All Methods Instance Methods Abstract Methods
`Reader` `getSourceFile(String packageName, String fileName)` Tries to locate the given source file and opens a reader with the appropriate encoding.
`int` `getTabWidth()` Returns number of blank characters that represent a tab in source code.

### Method Detail

#### getSourceFile

    Reader getSourceFile(String packageName,
                         String fileName)
                  throws IOException

Tries to locate the given source file and opens a reader with the appropriate encoding.

Parameters:
  `packageName` - VM name of the package
  `fileName` - name of the source file
Returns:
  reader if the file could be located, `null` otherwise
Throws:
  `IOException` - in case of problems while opening the file

#### getTabWidth

    int getTabWidth()

Returns number of blank characters that represent a tab in source code.

Returns:
  tab width as number of blanks